## rust-similar-asserts 1.7.0

=== Makefile ===
all: test

build:
	@cargo build --all-features

check:
	@cargo check --all-features
	@cargo check --all-features --examples

doc:
	@cargo doc --all-features

test: check
	@cargo test
	@cargo test --all-features
	@cargo test --no-default-features

format:
	@rustup component add rustfmt 2> /dev/null
	@cargo fmt --all

format-check:
	@rustup component add rustfmt 2> /dev/null
	@cargo fmt --all -- --check

lint:
	@rustup component add clippy 2> /dev/null
	@cargo clippy

.PHONY: all doc test format format-check lint

## rust-similar-asserts 1.4.2

=== debian/changelog ===
rust-similar-asserts (1.4.2-1) unstable; urgency=medium

  * Package similar-asserts 1.4.2 from crates.io using debcargo 2.5.0

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Fri, 02 Sep 2022 19:10:46 +0200

=== debian/control ===
Source: rust-similar-asserts
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-console-0.15-dev <!nocheck>,
 librust-similar-2+default-dev (>= 2.2.0-~~) <!nocheck>,
 librust-similar-2+inline-dev (>= 2.2.0-~~) <!nocheck>,
 librust-similar-2+unicode-dev (>= 2.2.0-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Matthias Geiger <matthias.geiger1024@tutanota.de>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/similar-asserts]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/similar-asserts
Rules-Requires-Root: no

Package: librust-similar-asserts-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-console-0.15-dev,
 librust-serde-1+default-dev (>= 1.0.123-~~),
 librust-similar-2+default-dev (>= 2.2.0-~~),
 librust-similar-2+inline-dev (>= 2.2.0-~~),
 librust-similar-2+unicode-dev (>= 2.2.0-~~)
Provides:
 librust-similar-asserts+default-dev (= ${binary:Version}),
 librust-similar-asserts+serde-dev (= ${binary:Version}),
 librust-similar-asserts+unicode-dev (= ${binary:Version}),
 librust-similar-asserts-1-dev (= ${binary:Version}),
 librust-similar-asserts-1+default-dev (= ${binary:Version}),
 librust-similar-asserts-1+serde-dev (= ${binary:Version}),
 librust-similar-asserts-1+unicode-dev (= ${binary:Version}),
 librust-similar-asserts-1.4-dev (= ${binary:Version}),
 librust-similar-asserts-1.4+default-dev (= ${binary:Version}),
 librust-similar-asserts-1.4+serde-dev (= ${binary:Version}),
 librust-similar-asserts-1.4+unicode-dev (= ${binary:Version}),
 librust-similar-asserts-1.4.2-dev (= ${binary:Version}),
 librust-similar-asserts-1.4.2+default-dev (= ${binary:Version}),
 librust-similar-asserts-1.4.2+serde-dev (= ${binary:Version}),
 librust-similar-asserts-1.4.2+unicode-dev (= ${binary:Version})
Description: Provides assert_eq! like macros with colorized diff output - Rust source code
 This package contains the source for the Rust similar-asserts crate, packaged
 by debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test similar-asserts 1.4.2 --all-targets --all-features
Features: test-name=rust-similar-asserts:@
Depends: dh-cargo (>= 18), librust-serde-1+default-dev (>= 1.0.123-~~), librust-serde-1+derive-dev (>= 1.0.123-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test similar-asserts 1.4.2 --all-targets 
Features: test-name=librust-similar-asserts-dev:default
Depends: dh-cargo (>= 18), librust-serde-1+default-dev (>= 1.0.123-~~), librust-serde-1+derive-dev (>= 1.0.123-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test similar-asserts 1.4.2 --all-targets --no-default-features --features serde
Features: test-name=librust-similar-asserts-dev:serde
Depends: dh-cargo (>= 18), librust-serde-1+default-dev (>= 1.0.123-~~), librust-serde-1+derive-dev (>= 1.0.123-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test similar-asserts 1.4.2 --all-targets --no-default-features --features unicode
Features: test-name=librust-similar-asserts-dev:unicode
Depends: dh-cargo (>= 18), librust-serde-1+default-dev (>= 1.0.123-~~), librust-serde-1+derive-dev (>= 1.0.123-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test similar-asserts 1.4.2 --all-targets --no-default-features
Features: test-name=librust-similar-asserts-dev:
Depends: dh-cargo (>= 18), librust-serde-1+default-dev (>= 1.0.123-~~), librust-serde-1+derive-dev (>= 1.0.123-~~), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/similar-asserts-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/similar-asserts .*/crates/similar-asserts/@ANY_VERSION@/download

## rust-similar-asserts 1.6.0

=== debian/changelog ===
rust-similar-asserts (1.6.0-1) unstable; urgency=medium

  * Package similar-asserts 1.6.0 from crates.io using debcargo 2.7.5

 -- Matthias Geiger <werdahias@debian.org>  Tue, 03 Dec 2024 23:17:32 +0100

=== debian/control ===
Source: rust-similar-asserts
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native <!nocheck>,
 rustc:native (>= 1.46.0) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-console-0.15-dev <!nocheck>,
 librust-similar-2+default-dev (>= 2.2.0-~~) <!nocheck>,
 librust-similar-2+inline-dev (>= 2.2.0-~~) <!nocheck>,
 librust-similar-2+unicode-dev (>= 2.2.0-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Matthias Geiger <werdahias@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/similar-asserts]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/similar-asserts
Homepage: https://github.com/mitsuhiko/similar-asserts
X-Cargo-Crate: similar-asserts
Rules-Requires-Root: no

Package: librust-similar-asserts-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-console-0.15-dev,
 librust-serde-1+default-dev (>= 1.0.123-~~),
 librust-similar-2+default-dev (>= 2.2.0-~~),
 librust-similar-2+inline-dev (>= 2.2.0-~~),
 librust-similar-2+unicode-dev (>= 2.2.0-~~)
Provides:
 librust-similar-asserts+default-dev (= ${binary:Version}),
 librust-similar-asserts+serde-dev (= ${binary:Version}),
 librust-similar-asserts+unicode-dev (= ${binary:Version}),
 librust-similar-asserts-1-dev (= ${binary:Version}),
 librust-similar-asserts-1+default-dev (= ${binary:Version}),
 librust-similar-asserts-1+serde-dev (= ${binary:Version}),
 librust-similar-asserts-1+unicode-dev (= ${binary:Version}),
 librust-similar-asserts-1.6-dev (= ${binary:Version}),
 librust-similar-asserts-1.6+default-dev (= ${binary:Version}),
 librust-similar-asserts-1.6+serde-dev (= ${binary:Version}),
 librust-similar-asserts-1.6+unicode-dev (= ${binary:Version}),
 librust-similar-asserts-1.6.0-dev (= ${binary:Version}),
 librust-similar-asserts-1.6.0+default-dev (= ${binary:Version}),
 librust-similar-asserts-1.6.0+serde-dev (= ${binary:Version}),
 librust-similar-asserts-1.6.0+unicode-dev (= ${binary:Version})
Description: Provides assert_eq! like macros with colorized diff output - Rust source code
 Source code for Debianized Rust crate "similar-asserts"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test similar-asserts 1.6.0 --all-targets --all-features
Features: test-name=rust-similar-asserts:@
Depends: dh-cargo (>= 31), rustc (>= 1.46.0), librust-serde-1+default-dev (>= 1.0.123-~~), librust-serde-1+derive-dev (>= 1.0.123-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test similar-asserts 1.6.0 --all-targets
Features: test-name=librust-similar-asserts-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.46.0), librust-serde-1+default-dev (>= 1.0.123-~~), librust-serde-1+derive-dev (>= 1.0.123-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test similar-asserts 1.6.0 --all-targets --no-default-features --features serde
Features: test-name=librust-similar-asserts-dev:serde
Depends: dh-cargo (>= 31), rustc (>= 1.46.0), librust-serde-1+default-dev (>= 1.0.123-~~), librust-serde-1+derive-dev (>= 1.0.123-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test similar-asserts 1.6.0 --all-targets --no-default-features --features unicode
Features: test-name=librust-similar-asserts-dev:unicode
Depends: dh-cargo (>= 31), rustc (>= 1.46.0), librust-serde-1+default-dev (>= 1.0.123-~~), librust-serde-1+derive-dev (>= 1.0.123-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test similar-asserts 1.6.0 --all-targets --no-default-features
Features: test-name=librust-similar-asserts-dev:
Depends: dh-cargo (>= 31), rustc (>= 1.46.0), librust-serde-1+default-dev (>= 1.0.123-~~), librust-serde-1+derive-dev (>= 1.0.123-~~), @
Restrictions: allow-stderr, skip-not-installable

## rust-similar-asserts 1.7.0

=== debian/changelog ===
rust-similar-asserts (1.7.0-1) unstable; urgency=medium

  * Package similar-asserts 1.7.0 from crates.io using debcargo 2.7.8

 -- Matthias Geiger <werdahias@debian.org>  Sun, 09 Mar 2025 15:10:26 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: rust
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
- dh-sequence-cargo,
- cargo:native <!nocheck>,
+ dh-sequence-cargo
+Build-Depends-Arch: cargo:native <!nocheck>,
  rustc:native (>= 1.46.0) <!nocheck>,
  libstd-rust-dev <!nocheck>,
  librust-console-0.15-dev <!nocheck>,
@@ -38,13 +38,13 @@
  librust-similar-asserts-1+default-dev (= ${binary:Version}),
  librust-similar-asserts-1+serde-dev (= ${binary:Version}),
  librust-similar-asserts-1+unicode-dev (= ${binary:Version}),
- librust-similar-asserts-1.6-dev (= ${binary:Version}),
- librust-similar-asserts-1.6+default-dev (= ${binary:Version}),
- librust-similar-asserts-1.6+serde-dev (= ${binary:Version}),
- librust-similar-asserts-1.6+unicode-dev (= ${binary:Version}),
- librust-similar-asserts-1.6.0-dev (= ${binary:Version}),
- librust-similar-asserts-1.6.0+default-dev (= ${binary:Version}),
- librust-similar-asserts-1.6.0+serde-dev (= ${binary:Version}),
- librust-similar-asserts-1.6.0+unicode-dev (= ${binary:Version})
+ librust-similar-asserts-1.7-dev (= ${binary:Version}),
+ librust-similar-asserts-1.7+default-dev (= ${binary:Version}),
+ librust-similar-asserts-1.7+serde-dev (= ${binary:Version}),
+ librust-similar-asserts-1.7+unicode-dev (= ${binary:Version}),
+ librust-similar-asserts-1.7.0-dev (= ${binary:Version}),
+ librust-similar-asserts-1.7.0+default-dev (= ${binary:Version}),
+ librust-similar-asserts-1.7.0+serde-dev (= ${binary:Version}),
+ librust-similar-asserts-1.7.0+unicode-dev (= ${binary:Version})
 Description: Provides assert_eq! like macros with colorized diff output - Rust source code
  Source code for Debianized Rust crate "similar-asserts"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test similar-asserts 1.7.0 --all-targets --all-features
Features: test-name=rust-similar-asserts:@
Depends: dh-cargo (>= 31), rustc (>= 1.46.0), librust-serde-1+default-dev (>= 1.0.123-~~), librust-serde-1+derive-dev (>= 1.0.123-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test similar-asserts 1.7.0 --all-targets
Features: test-name=librust-similar-asserts-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.46.0), librust-serde-1+default-dev (>= 1.0.123-~~), librust-serde-1+derive-dev (>= 1.0.123-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test similar-asserts 1.7.0 --all-targets --no-default-features --features serde
Features: test-name=librust-similar-asserts-dev:serde
Depends: dh-cargo (>= 31), rustc (>= 1.46.0), librust-serde-1+default-dev (>= 1.0.123-~~), librust-serde-1+derive-dev (>= 1.0.123-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test similar-asserts 1.7.0 --all-targets --no-default-features --features unicode
Features: test-name=librust-similar-asserts-dev:unicode
Depends: dh-cargo (>= 31), rustc (>= 1.46.0), librust-serde-1+default-dev (>= 1.0.123-~~), librust-serde-1+derive-dev (>= 1.0.123-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test similar-asserts 1.7.0 --all-targets --no-default-features
Features: test-name=librust-similar-asserts-dev:
Depends: dh-cargo (>= 31), rustc (>= 1.46.0), librust-serde-1+default-dev (>= 1.0.123-~~), librust-serde-1+derive-dev (>= 1.0.123-~~), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/similar-asserts-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/similar-asserts .*/crates/similar-asserts/@ANY_VERSION@/download
